使用PHP SDK进行日志服务各类操作前,您需要安装PHP SDK。本文介绍PHP SDK的安装方法。

前提条件

  • 已开通日志服务。更多信息,请参见开通日志服务
  • 已创建并获取AccessKey。更多信息,请参见访问密钥

    阿里云账号AccessKey拥有所有API的访问权限,风险很高。强烈建议您创建并使用RAM用户进行API访问或日常运维。RAM用户需具备操作日志服务资源的权限。具体操作,请参见为RAM用户授权

  • 已安装PHP开发环境。更多信息,请参见PHP官网

    日志服务PHP SDK支持PHP 5.2.1及以上版本。您可以执行php -v命令检查您已安装的PHP版本。

安装PHP SDK

  1. 下载最新的PHP SDK包
  2. 解压aliyun-log-php-sdk-master.zip
  3. 将步骤2中解压目录拷贝到项目文件夹。
    PHP SDK是一个软件开发包,不需要额外的安装操作。PHP SDK包中除了SDK代码外,还包括一组第三方依赖包和一个Autoloader类,用于简化您的调用流程。
    您就可以在项目中通过require_once引入日志服务SDK接口了。
    require_once realpath(dirname(__FILE__) . '/../Log_Autoload.php');

更多参考

您可以通过Composer依赖包管理工具在项目中引用日志服务SDK接口。

安装Composer后,您可以参考以下任意一种方法,在项目中引用日志服务SDK。如何安装Composer,请参见Composer官网

  • 命令行引入
    composer require  alibabacloud/aliyun-log-php-sdk
  • composer.json配置文件引入
    {
        "require": {
            "alibabacloud/aliyun-log-php-sdk": "0.6.*"
        }
    }

后续步骤

PHP SDK快速入门